Package: groovy.org.codenarc.report

## [Groovy] Class IdeTextReportWriter

- groovy.org.codenarc.report.IdeTextReportWriter

- ReportWriter that generates an simple ASCII text report, and includes IDE-compatible (Eclipse, Idea) hyperlinks to source code for violations. Set the maxPriority property to control the maximum priority level for violations in the report. For instance, setting maxPriority to 2 will result in the report containing only priority 1 and 2 violations (and omitting violations with priority 3). The maxPriority property defaults to 3.

  Authors:
    Chris Mair

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractReportWriter` | `BASE_MESSAGES_BUNDLE, CODENARC_URL, CUSTOM_MESSAGES_BUNDLE, VERSION_FILE, customMessagesBundleName, getTimestamp, initializeResourceBundle, resourceBundle`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected String` | `getViolationLocationString(Violation violation, String path)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class TextReportWriter` | `getViolationLocationString, writeFileViolations, writeFooter, writePackageViolations, writeReport, writeSummary, writeTitle, writeViolation`
    `class AbstractReportWriter` | `getCodeNarcVersion, getDescriptionForRule, getFormattedTimestamp, getHtmlDescriptionForRule, getResourceBundleString, getSortedRules, initializeDefaultResourceBundle, isEnabled, writeReport, writeReport`

- - ### Method Detail

    - #### @Override protected String getViolationLocationString(Violation violation, String path)